Name:           robust-http-client
Version:        1.2
Release:        6%{?dist}
Summary:        Small Java library that performs HTTP download with automatic retry

License:        MIT
URL:            https://github.com/kohsuke/robust-http-client
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# taken from http://opensource.org/licenses/MIT
Source1:        LICENSE.txt

BuildRequires:  maven-local

BuildArch:      noarch

%description
robust-http-client is a small Java library which can be used
for performing HTTP downloads with automatic retry.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# We don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"

%build
# Tests are disabled because they try to download something from the network
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Wed Jul 01 2015 Michal Srb <msrb@redhat.com> - 1.2-6
- Take license text from opensource.org

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial package

